=== debian/control ===
Source: snuffleupagus
Priority: optional
Maintainer: Julien (jvoisin) Voisin <julien.voisin+snuffleupagus@dustri.org>
Build-Depends: debhelper (>= 9), php-curl, php-xml, php7.0-dev | php7.1-dev | php7.2-dev | php7.3-dev | php7.4-dev
Standards-Version: 4.1.3
Homepage: https://github.com/jvoisin/snuffleupagus
Section: php
Vcs-Git: https://github.com/jvoisin/snuffleupagus

Package: snuffleupagus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hardening for your php7 stack
	Snuffleupagus is cool
