=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory src --with php

override_dh_auto_clean:
	cd ./src; phpize --clean

override_dh_auto_configure:
	cd ./src; phpize
	cd ./src; ./configure --enable-snuffleupagus

override_dh_auto_install:
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p debian/snuffleupagus/$$(/usr/bin/php-config --extension-dir)/
	mkdir -p debian/snuffleupagus/etc/php/$$(/usr/bin/php-config --version | cut -d '.' -f1-2)/mods-available/
	install -m 644 -o root -g root src/modules/snuffleupagus.so debian/snuffleupagus/$$(/usr/bin/php-config --extension-dir)/snuffleupagus.so
	install -m 644 -o root -g root config/snuffleupagus.ini debian/snuffleupagus/etc/php/$$(/usr/bin/php-config --version | cut -d '.' -f1-2)/mods-available/snuffleupagus.ini
 
override_dh_auto_test:
	sed -i "s/\$$ext_params -d display_errors=0 -r/-d display_errors=0 -r/" src/run-tests.php
	TEST_PHP_ARGS="-q" REPORT_EXIST_STATUS=1 make -C src test
